;/**
; *******************************************************************************
; * @file    startup_TMPM440.s
; * @brief   CMSIS Cortex-M4 Core Device Startup File for the
; *          TOSHIBA 'TMPM440' Device Series
; * @version V2.0.2.2
; * @date    2014/04/30
; * 
; * DO NOT USE THIS SOFTWARE WITHOUT THE SOFTWARE LICENSE AGREEMENT.
; * 
; * (C)Copyright TOSHIBA ELECTRONIC DEVICES & STORAGE CORPORATION 2017 All rights reserved
; *******************************************************************************
; */
;
; The modules in this file are included in the libraries, and may be replaced
; by any user-defined modules that define the PUBLIC symbol _program_start or
; a user defined start symbol.
; To override the cstartup defined in the library, simply add your modified
; version to the workbench project.
;
; Cortex-M version
;

                MODULE  ?cstartup

                ;; Forward declaration of sections.
                SECTION CSTACK:DATA:NOROOT(3)

                SECTION .intvec:CODE:NOROOT(2)

                EXTERN  __iar_program_start
                EXTERN  SystemInit
                PUBLIC  __vector_table

                DATA
__vector_table  DCD     sfe(CSTACK)
                DCD     Reset_Handler

                DCD     NMI_Handler               ; NMI Handler
                DCD     HardFault_Handler         ; Hard Fault Handler
                DCD     MemManage_Handler         ; MPU Fault Handler
                DCD     BusFault_Handler          ; Bus Fault Handler
                DCD     UsageFault_Handler        ; Usage Fault Handler
                DCD     0                         ; Reserved
                DCD     0                         ; Reserved
                DCD     0                         ; Reserved
                DCD     0                         ; Reserved
                DCD     SVC_Handler               ; SVCall Handler
                DCD     DebugMon_Handler          ; Debug Monitor Handler
                DCD     0                         ; Reserved
                DCD     PendSV_Handler            ; PendSV Handler
                DCD     SysTick_Handler           ; SysTick Handler

                ; External Interrupts
                DCD     INT0_IRQHandler           ; 0:	Interrupt pin 0
                DCD     INT1_IRQHandler           ; 1:	Interrupt pin 1
                DCD     INT2_IRQHandler           ; 2:	Interrupt pin 2
                DCD     INT3_IRQHandler           ; 3:	Interrupt pin 3
                DCD     INT4_IRQHandler           ; 4:	Interrupt pin 4
                DCD     INT5_IRQHandler           ; 5:	Interrupt pin 5
                DCD     INT6_IRQHandler           ; 6:	Interrupt pin 6
                DCD     INT7_IRQHandler           ; 7:	Interrupt pin 7
                DCD     INT8_IRQHandler           ; 8:	Interrupt pin 8
                DCD     INT9_IRQHandler           ; 9:	Interrupt pin 9
                DCD     INTA_IRQHandler           ; 10:	Interrupt pin A
                DCD     INTB_IRQHandler           ; 11:	Interrupt pin B
                DCD     INTC_IRQHandler           ; 12:	Interrupt pin C
                DCD     INTD_IRQHandler           ; 13:	Interrupt pin D
                DCD     INTE_IRQHandler           ; 14:	Interrupt pin E
                DCD     INTF_IRQHandler           ; 15:	Interrupt pin F
                DCD     INT10_IRQHandler          ; 16:	Interrupt pin 10
                DCD     INT11_IRQHandler          ; 17:	Interrupt pin 11
                DCD     INT12_IRQHandler          ; 18:	Interrupt pin 12
                DCD     INT13_IRQHandler          ; 19:	Interrupt pin 13
                DCD     INT14_IRQHandler          ; 20:	Interrupt pin 14
                DCD     INT15_IRQHandler          ; 21:	Interrupt pin 15
                DCD     INTKWUPA_IRQHandler       ; 22:	Key on wake up interrupt (unitA)
                DCD     INTKWUPB_IRQHandler       ; 23:	Key on wake up interrupt (unitB)
                DCD     INTKSCAN_IRQHandler       ; 24:	Key matrix scan interupt
                DCD     INTRTC_IRQHandler         ; 25:	Real time counter interupt
                DCD     INT16_IRQHandler          ; 26:	Interrupt pin 16
                DCD     INT17_IRQHandler          ; 27:	Interrupt pin 17
                DCD     INTPSCSTOP_IRQHandler     ; 28:	PSC end interrupt
                DCD     INTPSCBRK_IRQHandler      ; 29:	PSC break interrupt
                DCD     INTPSCSTEP_IRQHandler     ; 30:	PSC step interrupt
                DCD     INTPSCII_IRQHandler       ; 31:	PSC unjustified instruction interrupt
                DCD     INTPSCIA_IRQHandler       ; 32:	PSC unjustified address interrupt
                DCD     INTE0RX_IRQHandler        ; 33:	ESIO 0 reception interrupt
                DCD     INTE0TX_IRQHandler        ; 34:	ESIO 0 transmission interrupt
                DCD     INTE0ERR_IRQHandler       ; 35:	ESIO 0 error interrupt
                DCD     INTE1RX_IRQHandler        ; 36:	ESIO 1 reception interrupt
                DCD     INTE1TX_IRQHandler        ; 37:	ESIO 1 transmission interrupt
                DCD     INTE1ERR_IRQHandler       ; 38:	ESIO 1 error interrupt
                DCD     INTE2RX_IRQHandler        ; 39:	ESIO 2 reception interrupt
                DCD     INTE2TX_IRQHandler        ; 40:	ESIO 2 transmission interrupt
                DCD     INTE2ERR_IRQHandler       ; 41:	ESIO 2 error interrupt
                DCD     INTRX0_IRQHandler         ; 42:	Serial0 reception interrupt
                DCD     INTTX0_IRQHandler         ; 43:	Serial0 transmission interrupt
                DCD     INTRX1_IRQHandler         ; 44:	Serial1 reception interrupt
                DCD     INTTX1_IRQHandler         ; 45:	Serial1 transmission interrupt
                DCD     INTRX2_IRQHandler         ; 46:	Serial2 reception interrupt
                DCD     INTTX2_IRQHandler         ; 47:	Serial2 transmission interrupt
                DCD     INTRX3_IRQHandler         ; 48:	Serial3 reception interrupt
                DCD     INTTX3_IRQHandler         ; 49:	Serial3 transmission interrupt
                DCD     INTRX4_IRQHandler         ; 50:	Serial4 reception interrupt
                DCD     INTTX4_IRQHandler         ; 51:	Serial4 transmission interrupt
                DCD     INTRX5_IRQHandler         ; 52:	Serial5 reception interrupt
                DCD     INTTX5_IRQHandler         ; 53:	Serial5 transmission interrupt
                DCD     INTUART0_IRQHandler       ; 54:	Full UART0 transmission and reception interrupt
                DCD     INTUART1_IRQHandler       ; 55:	Full UART1 transmission and reception interrupt
                DCD     INTI2C_IRQHandler         ; 56:	I2C interrupt
                DCD     INTADA_IRQHandler         ; 57:	AD conversion interrupt (unitA)
                DCD     INTADB_IRQHandler         ; 58:	AD conversion interrupt (unitB)
                DCD     INTADC_IRQHandler         ; 59:	AD conversion interrupt (unitC)
                DCD     INTTB00_IRQHandler        ; 60:	16-bit TMRB00 compare match detection interrupt
                DCD     INTTB01_IRQHandler        ; 61:	16-bit TMRB01 compare match detection interrupt
                DCD     INTTB02_IRQHandler        ; 62:	16-bit TMRB02 compare match detection interrupt
                DCD     INTTB03_IRQHandler        ; 63:	16-bit TMRB03 compare match detection interrupt
                DCD     INTTB04_IRQHandler        ; 64:	16-bit TMRB04 compare match detection interrupt
                DCD     INTTB05_IRQHandler        ; 65:	16-bit TMRB05 compare match detection interrupt
                DCD     INTTB06_IRQHandler        ; 66:	16-bit TMRB06 compare match detection interrupt
                DCD     INTTB07_IRQHandler        ; 67:	16-bit TMRB07 compare match detection interrupt
                DCD     INTTB08_IRQHandler        ; 68:	16-bit TMRB08 compare match detection interrupt
                DCD     INTTB09_IRQHandler        ; 69:	16-bit TMRB09 compare match detection interrupt
                DCD     INTTB10_IRQHandler        ; 70:	16-bit TMRB10 compare match detection interrupt
                DCD     INTTB11_IRQHandler        ; 71:	16-bit TMRB11 compare match detection interrupt
                DCD     INTTB12_IRQHandler        ; 72:	16-bit TMRB12 compare match detection interrupt
                DCD     INTTB13_IRQHandler        ; 73:	16-bit TMRB13 compare match detection interrupt
                DCD     INTTB14_IRQHandler        ; 74:	16-bit TMRB14 compare match detection interrupt
                DCD     INTTB15_IRQHandler        ; 75:	16-bit TMRB15 compare match detection interrupt
                DCD     INTTB16_IRQHandler        ; 76:	16-bit TMRB16 compare match detection interrupt
                DCD     INTTB17_IRQHandler        ; 77:	16-bit TMRB17 compare match detection interrupt
                DCD     INTTB18_IRQHandler        ; 78:	16-bit TMRB18 compare match detection interrupt
                DCD     INTTB19_IRQHandler        ; 79:	16-bit TMRB19 compare match detection interrupt
                DCD     INTTCCMP0_IRQHandler      ; 80:	32-bit TMRC0 compare match detection interrupt
                DCD     INTTCCMP1_IRQHandler      ; 81:	32-bit TMRC1 compare match detection interrupt
                DCD     INTTCCMP2_IRQHandler      ; 82:	32-bit TMRC2 compare match detection interrupt
                DCD     INTTCCMP3_IRQHandler      ; 83:	32-bit TMRC3 compare match detection interrupt
                DCD     INTTCCMP4_IRQHandler      ; 84:	32-bit TMRC4 compare match detection interrupt
                DCD     INTTCCMP5_IRQHandler      ; 85:	32-bit TMRC5 compare match detection interrupt
                DCD     INTTCCMP6_IRQHandler      ; 86:	32-bit TMRC6 compare match detection interrupt
                DCD     INTTCCMP7_IRQHandler      ; 87:	32-bit TMRC7 compare match detection interrupt
                DCD     INTTCCAP0_IRQHandler      ; 88:	32-bit TMRC0 input capture detection interrupt
                DCD     INTTCCAP1_IRQHandler      ; 89:	32-bit TMRC1 input capture detection interrupt
                DCD     INTTCCAP2_IRQHandler      ; 90:	32-bit TMRC2 input capture detection interrupt
                DCD     INTTCCAP3_IRQHandler      ; 91:	32-bit TMRC3 input capture detection interrupt
                DCD     INTPHC00_IRQHandler       ; 92:	16-bit PHC0 compare match detection interrupt 0
                DCD     INTPHC01_IRQHandler       ; 93:	16-bit PHC0 compare match detection interrupt 1
                DCD     INTPHC0EVRY_IRQHandler    ; 94:	16-bit PHC0 every count interrupt
                DCD     INTPHC10_IRQHandler       ; 95:	16-bit PHC1 compare match detection interrupt 0
                DCD     INTPHC11_IRQHandler       ; 96:	16-bit PHC1 compare match detection interrupt 1
                DCD     INTPHC1EVRY_IRQHandler    ; 97:	16-bit PHC1 every count interrupt
                DCD     INTEPHC_IRQHandler        ; 98:	Two-phase pulse input counter interrupt
                DCD     INTPHCPOVF_IRQHandler     ; 99:	PHCP overflow interrupt
                DCD     INTPHCPPHE_IRQHandler     ; 100:	PHCP phase error interrupt
                DCD     INTPHCPCY0_IRQHandler     ; 101:	PHCP cycle interrupt 0
                DCD     INTPHCPCY1_IRQHandler     ; 102:	PHCP cycle interrupt 1
                DCD     INTPHCPCY2_IRQHandler     ; 103:	PHCP cycle interrupt 2
                DCD     INTPHCPCY3_IRQHandler     ; 104:	PHCP cycle interrupt 3
                DCD     INTTD0CMP0_IRQHandler     ; 105:	TMRD0 compare match detection interrupt 0
                DCD     INTTD0CMP1_IRQHandler     ; 106:	TMRD0 compare match detection interrupt 1
                DCD     INTTD0CMP2_IRQHandler     ; 107:	TMRD0 compare match detection interrupt 2
                DCD     INTTD0CMP3_IRQHandler     ; 108:	TMRD0 compare match detection interrupt 3
                DCD     INTTD0CMP4_IRQHandler     ; 109:	TMRD0 compare match detection interrupt 4
                DCD     INTTD1CMP0_IRQHandler     ; 110:	TMRD1 compare match detection interrupt 0
                DCD     INTTD1CMP1_IRQHandler     ; 111:	TMRD1 compare match detection interrupt 1
                DCD     INTTD1CMP2_IRQHandler     ; 112:	TMRD1 compare match detection interrupt 2
                DCD     INTTD1CMP3_IRQHandler     ; 113:	TMRD1 compare match detection interrupt 3
                DCD     INTTD1CMP4_IRQHandler     ; 114:	TMRD1 compare match detection interrupt 4
                DCD     INTADAHP_IRQHandler       ; 115:	High Priority AD conversion interrupt (channel.A)
                DCD     INTADBHP_IRQHandler       ; 116:	High Priority AD conversion interrupt (channel.B)
                DCD     INTADCHP_IRQHandler       ; 117:	High Priority AD conversion interrupt (channel.C)
                DCD     INTTB07CAP0_IRQHandler    ; 118:	16-bit TMRB07 input capture 0 detection interrupt
                DCD     INTTB07CAP1_IRQHandler    ; 119:	16-bit TMRB07 input capture 1 detection interrupt
                DCD     INTTB08CAP0_IRQHandler    ; 120:	16-bit TMRB08 input capture 0 detection interrupt
                DCD     INTTB08CAP1_IRQHandler    ; 121:	16-bit TMRB08 input capture 1 detection interrupt
                DCD     INTTB09CAP0_IRQHandler    ; 122:	16-bit TMRB09 input capture 0 detection interrupt
                DCD     INTTB09CAP1_IRQHandler    ; 123:	16-bit TMRB09 input capture 1 detection interrupt
                DCD     INTTB10CAP0_IRQHandler    ; 124:	16-bit TMRB10 input capture 0 detection interrupt
                DCD     INTTB10CAP1_IRQHandler    ; 125:	16-bit TMRB10 input capture 1 detection interrupt
                DCD     INTTB11CAP0_IRQHandler    ; 126:	16-bit TMRB11 input capture 0 detection interrupt
                DCD     INTTB11CAP1_IRQHandler    ; 127:	16-bit TMRB11 input capture 1 detection interrupt
                DCD     INTTB12CAP0_IRQHandler    ; 128:	16-bit TMRB12 input capture 0 detection interrupt
                DCD     INTTB12CAP1_IRQHandler    ; 129:	16-bit TMRB12 input capture 1 detection interrupt
                DCD     INTTB13CAP0_IRQHandler    ; 130:	16-bit TMRB13 input capture 0 detection interrupt
                DCD     INTTB13CAP1_IRQHandler    ; 131:	16-bit TMRB13 input capture 1 detection interrupt
                DCD     INTTB14CAP0_IRQHandler    ; 132:	16-bit TMRB14 input capture 0 detection interrupt
                DCD     INTTB14CAP1_IRQHandler    ; 133:	16-bit TMRB14 input capture 1 detection interrupt
                DCD     INTTB15CAP0_IRQHandler    ; 134:	16-bit TMRB15 input capture 0 detection interrupt
                DCD     INTTB15CAP1_IRQHandler    ; 135:	16-bit TMRB15 input capture 1 detection interrupt
                DCD     INTTB16CAP0_IRQHandler    ; 136:	16-bit TMRB16 input capture 0 detection interrupt
                DCD     INTTB16CAP1_IRQHandler    ; 137:	16-bit TMRB16 input capture 1 detection interrupt
                DCD     INTTB17CAP0_IRQHandler    ; 138:	16-bit TMRB17 input capture 0 detection interrupt
                DCD     INTTB17CAP1_IRQHandler    ; 139:	16-bit TMRB17 input capture 1 detection interrupt
                DCD     INTTB18CAP0_IRQHandler    ; 140:	16-bit TMRB18 input capture 0 detection interrupt
                DCD     INTTB18CAP1_IRQHandler    ; 141:	16-bit TMRB18 input capture 1 detection interrupt
                DCD     INTTB19CAP0_IRQHandler    ; 142:	16-bit TMRB19 input capture 0 detection interrupt
                DCD     INTTB19CAP1_IRQHandler    ; 143:	16-bit TMRB19 input capture 1 detection interrupt
                DCD     INTADAM0_IRQHandler       ; 144:	SAR ADC monitor 0 interrupt (unitA)
                DCD     INTADAM1_IRQHandler       ; 145:	SAR ADC monitor 1 interrupt (unitA)
                DCD     INTADBM0_IRQHandler       ; 146:	SAR ADC monitor 0 interrupt (unitB)
                DCD     INTADBM1_IRQHandler       ; 147:	SAR ADC monitor 1 interrupt (unitB)
                DCD     INTADCM0_IRQHandler       ; 148:	SAR ADC monitor 0 interrupt (unitC)
                DCD     INTADCM1_IRQHandler       ; 149:	SAR ADC monitor 1 interrupt (unitC)
                DCD     INTDMACATC_IRQHandler     ; 150:	DMA terminal count status interrupt (unitA)
                DCD     INTDMACAERR_IRQHandler    ; 151:	DMA error status interrupt (unitA)
                DCD     INTDMACBTC_IRQHandler     ; 152:	DMA terminal count status interrupt (unitB)
                DCD     INTDMACBERR_IRQHandler    ; 153:	DMA error status interrupt (unitB)
                DCD     INTDMACCTC_IRQHandler     ; 154:	DMA terminal count status interrupt (unitC)
                DCD     INTDMACCERR_IRQHandler    ; 155:	DMA error status interrupt (unitC)
                DCD     INTTCTBT_IRQHandler       ; 156:	32-bit TMRC overflow interrupt
                THUMB
; Dummy Exception Handlers (infinite loops which can be modified)

                PUBWEAK Reset_Handler
                SECTION .text:CODE:REORDER:NOROOT(2)
Reset_Handler
                LDR     R0, =SystemInit
                BLX     R0
                LDR     R0, =__iar_program_start
                BX      R0

                PUBWEAK NMI_Handler
                SECTION .text:CODE:REORDER:NOROOT(1)
NMI_Handler
                B       NMI_Handler

                PUBWEAK HardFault_Handler
                SECTION .text:CODE:REORDER:NOROOT(1)
HardFault_Handler
                B       HardFault_Handler

                PUBWEAK MemManage_Handler
                SECTION .text:CODE:REORDER:NOROOT(1)
MemManage_Handler
                B       MemManage_Handler

                PUBWEAK BusFault_Handler
                SECTION .text:CODE:REORDER:NOROOT(1)
BusFault_Handler
                B       BusFault_Handler

                PUBWEAK UsageFault_Handler
                SECTION .text:CODE:REORDER:NOROOT(1)
UsageFault_Handler
                B       UsageFault_Handler

                PUBWEAK SVC_Handler
                SECTION .text:CODE:REORDER:NOROOT(1)
SVC_Handler
                B       SVC_Handler

                PUBWEAK DebugMon_Handler
                SECTION .text:CODE:REORDER:NOROOT(1)
DebugMon_Handler
                B       DebugMon_Handler

                PUBWEAK PendSV_Handler
                SECTION .text:CODE:REORDER:NOROOT(1)
PendSV_Handler
                B       PendSV_Handler

                PUBWEAK SysTick_Handler
                SECTION .text:CODE:REORDER:NOROOT(1)
SysTick_Handler
                B       SysTick_Handler

                PUBWEAK INT0_IRQHandler
                SECTION .text:CODE:REORDER:NOROOT(1)
INT0_IRQHandler
                B       INT0_IRQHandler

                PUBWEAK INT1_IRQHandler
                SECTION .text:CODE:REORDER:NOROOT(1)
INT1_IRQHandler
                B       INT1_IRQHandler

                PUBWEAK INT2_IRQHandler
                SECTION .text:CODE:REORDER:NOROOT(1)
INT2_IRQHandler
                B       INT2_IRQHandler

                PUBWEAK INT3_IRQHandler
                SECTION .text:CODE:REORDER:NOROOT(1)
INT3_IRQHandler
                B       INT3_IRQHandler

                PUBWEAK INT4_IRQHandler
                SECTION .text:CODE:REORDER:NOROOT(1)
INT4_IRQHandler
                B       INT4_IRQHandler

                PUBWEAK INT5_IRQHandler
                SECTION .text:CODE:REORDER:NOROOT(1)
INT5_IRQHandler
                B       INT5_IRQHandler

                PUBWEAK INT6_IRQHandler
                SECTION .text:CODE:REORDER:NOROOT(1)
INT6_IRQHandler
                B       INT6_IRQHandler

                PUBWEAK INT7_IRQHandler
                SECTION .text:CODE:REORDER:NOROOT(1)
INT7_IRQHandler
                B       INT7_IRQHandler

                PUBWEAK INT8_IRQHandler
                SECTION .text:CODE:REORDER:NOROOT(1)
INT8_IRQHandler
                B       INT8_IRQHandler

                PUBWEAK INT9_IRQHandler
                SECTION .text:CODE:REORDER:NOROOT(1)
INT9_IRQHandler
                B       INT9_IRQHandler

                PUBWEAK INTA_IRQHandler
                SECTION .text:CODE:REORDER:NOROOT(1)
INTA_IRQHandler
                B       INTA_IRQHandler

                PUBWEAK INTB_IRQHandler
                SECTION .text:CODE:REORDER:NOROOT(1)
INTB_IRQHandler
                B       INTB_IRQHandler

                PUBWEAK INTC_IRQHandler
                SECTION .text:CODE:REORDER:NOROOT(1)
INTC_IRQHandler
                B       INTC_IRQHandler

                PUBWEAK INTD_IRQHandler
                SECTION .text:CODE:REORDER:NOROOT(1)
INTD_IRQHandler
                B       INTD_IRQHandler

                PUBWEAK INTE_IRQHandler
                SECTION .text:CODE:REORDER:NOROOT(1)
INTE_IRQHandler
                B       INTE_IRQHandler

                PUBWEAK INTF_IRQHandler
                SECTION .text:CODE:REORDER:NOROOT(1)
INTF_IRQHandler
                B       INTF_IRQHandler

                PUBWEAK INT10_IRQHandler
                SECTION .text:CODE:REORDER:NOROOT(1)
INT10_IRQHandler
                B       INT10_IRQHandler

                PUBWEAK INT11_IRQHandler
                SECTION .text:CODE:REORDER:NOROOT(1)
INT11_IRQHandler
                B       INT11_IRQHandler

                PUBWEAK INT12_IRQHandler
                SECTION .text:CODE:REORDER:NOROOT(1)
INT12_IRQHandler
                B       INT12_IRQHandler

                PUBWEAK INT13_IRQHandler
                SECTION .text:CODE:REORDER:NOROOT(1)
INT13_IRQHandler
                B       INT13_IRQHandler

                PUBWEAK INT14_IRQHandler
                SECTION .text:CODE:REORDER:NOROOT(1)
INT14_IRQHandler
                B       INT14_IRQHandler

                PUBWEAK INT15_IRQHandler
                SECTION .text:CODE:REORDER:NOROOT(1)
INT15_IRQHandler
                B       INT15_IRQHandler

                PUBWEAK INTKWUPA_IRQHandler
                SECTION .text:CODE:REORDER:NOROOT(1)
INTKWUPA_IRQHandler
                B       INTKWUPA_IRQHandler

                PUBWEAK INTKWUPB_IRQHandler
                SECTION .text:CODE:REORDER:NOROOT(1)
INTKWUPB_IRQHandler
                B       INTKWUPB_IRQHandler

                PUBWEAK INTKSCAN_IRQHandler
                SECTION .text:CODE:REORDER:NOROOT(1)
INTKSCAN_IRQHandler
                B       INTKSCAN_IRQHandler

                PUBWEAK INTRTC_IRQHandler
                SECTION .text:CODE:REORDER:NOROOT(1)
INTRTC_IRQHandler
                B       INTRTC_IRQHandler

                PUBWEAK INT16_IRQHandler
                SECTION .text:CODE:REORDER:NOROOT(1)
INT16_IRQHandler
                B       INT16_IRQHandler

                PUBWEAK INT17_IRQHandler
                SECTION .text:CODE:REORDER:NOROOT(1)
INT17_IRQHandler
                B       INT17_IRQHandler

                PUBWEAK INTPSCSTOP_IRQHandler
                SECTION .text:CODE:REORDER:NOROOT(1)
INTPSCSTOP_IRQHandler
                B       INTPSCSTOP_IRQHandler

                PUBWEAK INTPSCBRK_IRQHandler
                SECTION .text:CODE:REORDER:NOROOT(1)
INTPSCBRK_IRQHandler
                B       INTPSCBRK_IRQHandler

                PUBWEAK INTPSCSTEP_IRQHandler
                SECTION .text:CODE:REORDER:NOROOT(1)
INTPSCSTEP_IRQHandler
                B       INTPSCSTEP_IRQHandler

                PUBWEAK INTPSCII_IRQHandler
                SECTION .text:CODE:REORDER:NOROOT(1)
INTPSCII_IRQHandler
                B       INTPSCII_IRQHandler

                PUBWEAK INTPSCIA_IRQHandler
                SECTION .text:CODE:REORDER:NOROOT(1)
INTPSCIA_IRQHandler
                B       INTPSCIA_IRQHandler

                PUBWEAK INTE0RX_IRQHandler
                SECTION .text:CODE:REORDER:NOROOT(1)
INTE0RX_IRQHandler
                B       INTE0RX_IRQHandler

                PUBWEAK INTE0TX_IRQHandler
                SECTION .text:CODE:REORDER:NOROOT(1)
INTE0TX_IRQHandler
                B       INTE0TX_IRQHandler

                PUBWEAK INTE0ERR_IRQHandler
                SECTION .text:CODE:REORDER:NOROOT(1)
INTE0ERR_IRQHandler
                B       INTE0ERR_IRQHandler

                PUBWEAK INTE1RX_IRQHandler
                SECTION .text:CODE:REORDER:NOROOT(1)
INTE1RX_IRQHandler
                B       INTE1RX_IRQHandler

                PUBWEAK INTE1TX_IRQHandler
                SECTION .text:CODE:REORDER:NOROOT(1)
INTE1TX_IRQHandler
                B       INTE1TX_IRQHandler

                PUBWEAK INTE1ERR_IRQHandler
                SECTION .text:CODE:REORDER:NOROOT(1)
INTE1ERR_IRQHandler
                B       INTE1ERR_IRQHandler

                PUBWEAK INTE2RX_IRQHandler
                SECTION .text:CODE:REORDER:NOROOT(1)
INTE2RX_IRQHandler
                B       INTE2RX_IRQHandler

                PUBWEAK INTE2TX_IRQHandler
                SECTION .text:CODE:REORDER:NOROOT(1)
INTE2TX_IRQHandler
                B       INTE2TX_IRQHandler

                PUBWEAK INTE2ERR_IRQHandler
                SECTION .text:CODE:REORDER:NOROOT(1)
INTE2ERR_IRQHandler
                B       INTE2ERR_IRQHandler

                PUBWEAK INTRX0_IRQHandler
                SECTION .text:CODE:REORDER:NOROOT(1)
INTRX0_IRQHandler
                B       INTRX0_IRQHandler

                PUBWEAK INTTX0_IRQHandler
                SECTION .text:CODE:REORDER:NOROOT(1)
INTTX0_IRQHandler
                B       INTTX0_IRQHandler

                PUBWEAK INTRX1_IRQHandler
                SECTION .text:CODE:REORDER:NOROOT(1)
INTRX1_IRQHandler
                B       INTRX1_IRQHandler

                PUBWEAK INTTX1_IRQHandler
                SECTION .text:CODE:REORDER:NOROOT(1)
INTTX1_IRQHandler
                B       INTTX1_IRQHandler

                PUBWEAK INTRX2_IRQHandler
                SECTION .text:CODE:REORDER:NOROOT(1)
INTRX2_IRQHandler
                B       INTRX2_IRQHandler

                PUBWEAK INTTX2_IRQHandler
                SECTION .text:CODE:REORDER:NOROOT(1)
INTTX2_IRQHandler
                B       INTTX2_IRQHandler

                PUBWEAK INTRX3_IRQHandler
                SECTION .text:CODE:REORDER:NOROOT(1)
INTRX3_IRQHandler
                B       INTRX3_IRQHandler

                PUBWEAK INTTX3_IRQHandler
                SECTION .text:CODE:REORDER:NOROOT(1)
INTTX3_IRQHandler
                B       INTTX3_IRQHandler

                PUBWEAK INTRX4_IRQHandler
                SECTION .text:CODE:REORDER:NOROOT(1)
INTRX4_IRQHandler
                B       INTRX4_IRQHandler

                PUBWEAK INTTX4_IRQHandler
                SECTION .text:CODE:REORDER:NOROOT(1)
INTTX4_IRQHandler
                B       INTTX4_IRQHandler

                PUBWEAK INTRX5_IRQHandler
                SECTION .text:CODE:REORDER:NOROOT(1)
INTRX5_IRQHandler
                B       INTRX5_IRQHandler

                PUBWEAK INTTX5_IRQHandler
                SECTION .text:CODE:REORDER:NOROOT(1)
INTTX5_IRQHandler
                B       INTTX5_IRQHandler

                PUBWEAK INTUART0_IRQHandler
                SECTION .text:CODE:REORDER:NOROOT(1)
INTUART0_IRQHandler
                B       INTUART0_IRQHandler

                PUBWEAK INTUART1_IRQHandler
                SECTION .text:CODE:REORDER:NOROOT(1)
INTUART1_IRQHandler
                B       INTUART1_IRQHandler

                PUBWEAK INTI2C_IRQHandler
                SECTION .text:CODE:REORDER:NOROOT(1)
INTI2C_IRQHandler
                B       INTI2C_IRQHandler

                PUBWEAK INTADA_IRQHandler
                SECTION .text:CODE:REORDER:NOROOT(1)
INTADA_IRQHandler
                B       INTADA_IRQHandler

                PUBWEAK INTADB_IRQHandler
                SECTION .text:CODE:REORDER:NOROOT(1)
INTADB_IRQHandler
                B       INTADB_IRQHandler

                PUBWEAK INTADC_IRQHandler
                SECTION .text:CODE:REORDER:NOROOT(1)
INTADC_IRQHandler
                B       INTADC_IRQHandler

                PUBWEAK INTTB00_IRQHandler
                SECTION .text:CODE:REORDER:NOROOT(1)
INTTB00_IRQHandler
                B       INTTB00_IRQHandler

                PUBWEAK INTTB01_IRQHandler
                SECTION .text:CODE:REORDER:NOROOT(1)
INTTB01_IRQHandler
                B       INTTB01_IRQHandler

                PUBWEAK INTTB02_IRQHandler
                SECTION .text:CODE:REORDER:NOROOT(1)
INTTB02_IRQHandler
                B       INTTB02_IRQHandler

                PUBWEAK INTTB03_IRQHandler
                SECTION .text:CODE:REORDER:NOROOT(1)
INTTB03_IRQHandler
                B       INTTB03_IRQHandler

                PUBWEAK INTTB04_IRQHandler
                SECTION .text:CODE:REORDER:NOROOT(1)
INTTB04_IRQHandler
                B       INTTB04_IRQHandler

                PUBWEAK INTTB05_IRQHandler
                SECTION .text:CODE:REORDER:NOROOT(1)
INTTB05_IRQHandler
                B       INTTB05_IRQHandler

                PUBWEAK INTTB06_IRQHandler
                SECTION .text:CODE:REORDER:NOROOT(1)
INTTB06_IRQHandler
                B       INTTB06_IRQHandler

                PUBWEAK INTTB07_IRQHandler
                SECTION .text:CODE:REORDER:NOROOT(1)
INTTB07_IRQHandler
                B       INTTB07_IRQHandler

                PUBWEAK INTTB08_IRQHandler
                SECTION .text:CODE:REORDER:NOROOT(1)
INTTB08_IRQHandler
                B       INTTB08_IRQHandler

                PUBWEAK INTTB09_IRQHandler
                SECTION .text:CODE:REORDER:NOROOT(1)
INTTB09_IRQHandler
                B       INTTB09_IRQHandler

                PUBWEAK INTTB10_IRQHandler
                SECTION .text:CODE:REORDER:NOROOT(1)
INTTB10_IRQHandler
                B       INTTB10_IRQHandler

                PUBWEAK INTTB11_IRQHandler
                SECTION .text:CODE:REORDER:NOROOT(1)
INTTB11_IRQHandler
                B       INTTB11_IRQHandler

                PUBWEAK INTTB12_IRQHandler
                SECTION .text:CODE:REORDER:NOROOT(1)
INTTB12_IRQHandler
                B       INTTB12_IRQHandler

                PUBWEAK INTTB13_IRQHandler
                SECTION .text:CODE:REORDER:NOROOT(1)
INTTB13_IRQHandler
                B       INTTB13_IRQHandler

                PUBWEAK INTTB14_IRQHandler
                SECTION .text:CODE:REORDER:NOROOT(1)
INTTB14_IRQHandler
                B       INTTB14_IRQHandler

                PUBWEAK INTTB15_IRQHandler
                SECTION .text:CODE:REORDER:NOROOT(1)
INTTB15_IRQHandler
                B       INTTB15_IRQHandler

                PUBWEAK INTTB16_IRQHandler
                SECTION .text:CODE:REORDER:NOROOT(1)
INTTB16_IRQHandler
                B       INTTB16_IRQHandler

                PUBWEAK INTTB17_IRQHandler
                SECTION .text:CODE:REORDER:NOROOT(1)
INTTB17_IRQHandler
                B       INTTB17_IRQHandler

                PUBWEAK INTTB18_IRQHandler
                SECTION .text:CODE:REORDER:NOROOT(1)
INTTB18_IRQHandler
                B       INTTB18_IRQHandler

                PUBWEAK INTTB19_IRQHandler
                SECTION .text:CODE:REORDER:NOROOT(1)
INTTB19_IRQHandler
                B       INTTB19_IRQHandler

                PUBWEAK INTTCCMP0_IRQHandler
                SECTION .text:CODE:REORDER:NOROOT(1)
INTTCCMP0_IRQHandler
                B       INTTCCMP0_IRQHandler

                PUBWEAK INTTCCMP1_IRQHandler
                SECTION .text:CODE:REORDER:NOROOT(1)
INTTCCMP1_IRQHandler
                B       INTTCCMP1_IRQHandler

                PUBWEAK INTTCCMP2_IRQHandler
                SECTION .text:CODE:REORDER:NOROOT(1)
INTTCCMP2_IRQHandler
                B       INTTCCMP2_IRQHandler

                PUBWEAK INTTCCMP3_IRQHandler
                SECTION .text:CODE:REORDER:NOROOT(1)
INTTCCMP3_IRQHandler
                B       INTTCCMP3_IRQHandler

                PUBWEAK INTTCCMP4_IRQHandler
                SECTION .text:CODE:REORDER:NOROOT(1)
INTTCCMP4_IRQHandler
                B       INTTCCMP4_IRQHandler

                PUBWEAK INTTCCMP5_IRQHandler
                SECTION .text:CODE:REORDER:NOROOT(1)
INTTCCMP5_IRQHandler
                B       INTTCCMP5_IRQHandler

                PUBWEAK INTTCCMP6_IRQHandler
                SECTION .text:CODE:REORDER:NOROOT(1)
INTTCCMP6_IRQHandler
                B       INTTCCMP6_IRQHandler

                PUBWEAK INTTCCMP7_IRQHandler
                SECTION .text:CODE:REORDER:NOROOT(1)
INTTCCMP7_IRQHandler
                B       INTTCCMP7_IRQHandler

                PUBWEAK INTTCCAP0_IRQHandler
                SECTION .text:CODE:REORDER:NOROOT(1)
INTTCCAP0_IRQHandler
                B       INTTCCAP0_IRQHandler

                PUBWEAK INTTCCAP1_IRQHandler
                SECTION .text:CODE:REORDER:NOROOT(1)
INTTCCAP1_IRQHandler
                B       INTTCCAP1_IRQHandler

                PUBWEAK INTTCCAP2_IRQHandler
                SECTION .text:CODE:REORDER:NOROOT(1)
INTTCCAP2_IRQHandler
                B       INTTCCAP2_IRQHandler

                PUBWEAK INTTCCAP3_IRQHandler
                SECTION .text:CODE:REORDER:NOROOT(1)
INTTCCAP3_IRQHandler
                B       INTTCCAP3_IRQHandler

                PUBWEAK INTPHC00_IRQHandler
                SECTION .text:CODE:REORDER:NOROOT(1)
INTPHC00_IRQHandler
                B       INTPHC00_IRQHandler

                PUBWEAK INTPHC01_IRQHandler
                SECTION .text:CODE:REORDER:NOROOT(1)
INTPHC01_IRQHandler
                B       INTPHC01_IRQHandler

                PUBWEAK INTPHC0EVRY_IRQHandler
                SECTION .text:CODE:REORDER:NOROOT(1)
INTPHC0EVRY_IRQHandler
                B       INTPHC0EVRY_IRQHandler

                PUBWEAK INTPHC10_IRQHandler
                SECTION .text:CODE:REORDER:NOROOT(1)
INTPHC10_IRQHandler
                B       INTPHC10_IRQHandler

                PUBWEAK INTPHC11_IRQHandler
                SECTION .text:CODE:REORDER:NOROOT(1)
INTPHC11_IRQHandler
                B       INTPHC11_IRQHandler

                PUBWEAK INTPHC1EVRY_IRQHandler
                SECTION .text:CODE:REORDER:NOROOT(1)
INTPHC1EVRY_IRQHandler
                B       INTPHC1EVRY_IRQHandler

                PUBWEAK INTEPHC_IRQHandler
                SECTION .text:CODE:REORDER:NOROOT(1)
INTEPHC_IRQHandler
                B       INTEPHC_IRQHandler

                PUBWEAK INTPHCPOVF_IRQHandler
                SECTION .text:CODE:REORDER:NOROOT(1)
INTPHCPOVF_IRQHandler
                B       INTPHCPOVF_IRQHandler

                PUBWEAK INTPHCPPHE_IRQHandler
                SECTION .text:CODE:REORDER:NOROOT(1)
INTPHCPPHE_IRQHandler
                B       INTPHCPPHE_IRQHandler

                PUBWEAK INTPHCPCY0_IRQHandler
                SECTION .text:CODE:REORDER:NOROOT(1)
INTPHCPCY0_IRQHandler
                B       INTPHCPCY0_IRQHandler

                PUBWEAK INTPHCPCY1_IRQHandler
                SECTION .text:CODE:REORDER:NOROOT(1)
INTPHCPCY1_IRQHandler
                B       INTPHCPCY1_IRQHandler

                PUBWEAK INTPHCPCY2_IRQHandler
                SECTION .text:CODE:REORDER:NOROOT(1)
INTPHCPCY2_IRQHandler
                B       INTPHCPCY2_IRQHandler

                PUBWEAK INTPHCPCY3_IRQHandler
                SECTION .text:CODE:REORDER:NOROOT(1)
INTPHCPCY3_IRQHandler
                B       INTPHCPCY3_IRQHandler

                PUBWEAK INTTD0CMP0_IRQHandler
                SECTION .text:CODE:REORDER:NOROOT(1)
INTTD0CMP0_IRQHandler
                B       INTTD0CMP0_IRQHandler

                PUBWEAK INTTD0CMP1_IRQHandler
                SECTION .text:CODE:REORDER:NOROOT(1)
INTTD0CMP1_IRQHandler
                B       INTTD0CMP1_IRQHandler

                PUBWEAK INTTD0CMP2_IRQHandler
                SECTION .text:CODE:REORDER:NOROOT(1)
INTTD0CMP2_IRQHandler
                B       INTTD0CMP2_IRQHandler

                PUBWEAK INTTD0CMP3_IRQHandler
                SECTION .text:CODE:REORDER:NOROOT(1)
INTTD0CMP3_IRQHandler
                B       INTTD0CMP3_IRQHandler

                PUBWEAK INTTD0CMP4_IRQHandler
                SECTION .text:CODE:REORDER:NOROOT(1)
INTTD0CMP4_IRQHandler
                B       INTTD0CMP4_IRQHandler

                PUBWEAK INTTD1CMP0_IRQHandler
                SECTION .text:CODE:REORDER:NOROOT(1)
INTTD1CMP0_IRQHandler
                B       INTTD1CMP0_IRQHandler

                PUBWEAK INTTD1CMP1_IRQHandler
                SECTION .text:CODE:REORDER:NOROOT(1)
INTTD1CMP1_IRQHandler
                B       INTTD1CMP1_IRQHandler

                PUBWEAK INTTD1CMP2_IRQHandler
                SECTION .text:CODE:REORDER:NOROOT(1)
INTTD1CMP2_IRQHandler
                B       INTTD1CMP2_IRQHandler

                PUBWEAK INTTD1CMP3_IRQHandler
                SECTION .text:CODE:REORDER:NOROOT(1)
INTTD1CMP3_IRQHandler
                B       INTTD1CMP3_IRQHandler

                PUBWEAK INTTD1CMP4_IRQHandler
                SECTION .text:CODE:REORDER:NOROOT(1)
INTTD1CMP4_IRQHandler
                B       INTTD1CMP4_IRQHandler

                PUBWEAK INTADAHP_IRQHandler
                SECTION .text:CODE:REORDER:NOROOT(1)
INTADAHP_IRQHandler
                B       INTADAHP_IRQHandler

                PUBWEAK INTADBHP_IRQHandler
                SECTION .text:CODE:REORDER:NOROOT(1)
INTADBHP_IRQHandler
                B       INTADBHP_IRQHandler

                PUBWEAK INTADCHP_IRQHandler
                SECTION .text:CODE:REORDER:NOROOT(1)
INTADCHP_IRQHandler
                B       INTADCHP_IRQHandler

                PUBWEAK INTTB07CAP0_IRQHandler
                SECTION .text:CODE:REORDER:NOROOT(1)
INTTB07CAP0_IRQHandler
                B       INTTB07CAP0_IRQHandler

                PUBWEAK INTTB07CAP1_IRQHandler
                SECTION .text:CODE:REORDER:NOROOT(1)
INTTB07CAP1_IRQHandler
                B       INTTB07CAP1_IRQHandler

                PUBWEAK INTTB08CAP0_IRQHandler
                SECTION .text:CODE:REORDER:NOROOT(1)
INTTB08CAP0_IRQHandler
                B       INTTB08CAP0_IRQHandler

                PUBWEAK INTTB08CAP1_IRQHandler
                SECTION .text:CODE:REORDER:NOROOT(1)
INTTB08CAP1_IRQHandler
                B       INTTB08CAP1_IRQHandler

                PUBWEAK INTTB09CAP0_IRQHandler
                SECTION .text:CODE:REORDER:NOROOT(1)
INTTB09CAP0_IRQHandler
                B       INTTB09CAP0_IRQHandler

                PUBWEAK INTTB09CAP1_IRQHandler
                SECTION .text:CODE:REORDER:NOROOT(1)
INTTB09CAP1_IRQHandler
                B       INTTB09CAP1_IRQHandler

                PUBWEAK INTTB10CAP0_IRQHandler
                SECTION .text:CODE:REORDER:NOROOT(1)
INTTB10CAP0_IRQHandler
                B       INTTB10CAP0_IRQHandler

                PUBWEAK INTTB10CAP1_IRQHandler
                SECTION .text:CODE:REORDER:NOROOT(1)
INTTB10CAP1_IRQHandler
                B       INTTB10CAP1_IRQHandler

                PUBWEAK INTTB11CAP0_IRQHandler
                SECTION .text:CODE:REORDER:NOROOT(1)
INTTB11CAP0_IRQHandler
                B       INTTB11CAP0_IRQHandler

                PUBWEAK INTTB11CAP1_IRQHandler
                SECTION .text:CODE:REORDER:NOROOT(1)
INTTB11CAP1_IRQHandler
                B       INTTB11CAP1_IRQHandler

                PUBWEAK INTTB12CAP0_IRQHandler
                SECTION .text:CODE:REORDER:NOROOT(1)
INTTB12CAP0_IRQHandler
                B       INTTB12CAP0_IRQHandler

                PUBWEAK INTTB12CAP1_IRQHandler
                SECTION .text:CODE:REORDER:NOROOT(1)
INTTB12CAP1_IRQHandler
                B       INTTB12CAP1_IRQHandler

                PUBWEAK INTTB13CAP0_IRQHandler
                SECTION .text:CODE:REORDER:NOROOT(1)
INTTB13CAP0_IRQHandler
                B       INTTB13CAP0_IRQHandler

                PUBWEAK INTTB13CAP1_IRQHandler
                SECTION .text:CODE:REORDER:NOROOT(1)
INTTB13CAP1_IRQHandler
                B       INTTB13CAP1_IRQHandler

                PUBWEAK INTTB14CAP0_IRQHandler
                SECTION .text:CODE:REORDER:NOROOT(1)
INTTB14CAP0_IRQHandler
                B       INTTB14CAP0_IRQHandler

                PUBWEAK INTTB14CAP1_IRQHandler
                SECTION .text:CODE:REORDER:NOROOT(1)
INTTB14CAP1_IRQHandler
                B       INTTB14CAP1_IRQHandler

                PUBWEAK INTTB15CAP0_IRQHandler
                SECTION .text:CODE:REORDER:NOROOT(1)
INTTB15CAP0_IRQHandler
                B       INTTB15CAP0_IRQHandler

                PUBWEAK INTTB15CAP1_IRQHandler
                SECTION .text:CODE:REORDER:NOROOT(1)
INTTB15CAP1_IRQHandler
                B       INTTB15CAP1_IRQHandler

                PUBWEAK INTTB16CAP0_IRQHandler
                SECTION .text:CODE:REORDER:NOROOT(1)
INTTB16CAP0_IRQHandler
                B       INTTB16CAP0_IRQHandler

                PUBWEAK INTTB16CAP1_IRQHandler
                SECTION .text:CODE:REORDER:NOROOT(1)
INTTB16CAP1_IRQHandler
                B       INTTB16CAP1_IRQHandler

                PUBWEAK INTTB17CAP0_IRQHandler
                SECTION .text:CODE:REORDER:NOROOT(1)
INTTB17CAP0_IRQHandler
                B       INTTB17CAP0_IRQHandler

                PUBWEAK INTTB17CAP1_IRQHandler
                SECTION .text:CODE:REORDER:NOROOT(1)
INTTB17CAP1_IRQHandler
                B       INTTB17CAP1_IRQHandler

                PUBWEAK INTTB18CAP0_IRQHandler
                SECTION .text:CODE:REORDER:NOROOT(1)
INTTB18CAP0_IRQHandler
                B       INTTB18CAP0_IRQHandler

                PUBWEAK INTTB18CAP1_IRQHandler
                SECTION .text:CODE:REORDER:NOROOT(1)
INTTB18CAP1_IRQHandler
                B       INTTB18CAP1_IRQHandler

                PUBWEAK INTTB19CAP0_IRQHandler
                SECTION .text:CODE:REORDER:NOROOT(1)
INTTB19CAP0_IRQHandler
                B       INTTB19CAP0_IRQHandler

                PUBWEAK INTTB19CAP1_IRQHandler
                SECTION .text:CODE:REORDER:NOROOT(1)
INTTB19CAP1_IRQHandler
                B       INTTB19CAP1_IRQHandler

                PUBWEAK INTADAM0_IRQHandler
                SECTION .text:CODE:REORDER:NOROOT(1)
INTADAM0_IRQHandler
                B       INTADAM0_IRQHandler

                PUBWEAK INTADAM1_IRQHandler
                SECTION .text:CODE:REORDER:NOROOT(1)
INTADAM1_IRQHandler
                B       INTADAM1_IRQHandler

                PUBWEAK INTADBM0_IRQHandler
                SECTION .text:CODE:REORDER:NOROOT(1)
INTADBM0_IRQHandler
                B       INTADBM0_IRQHandler

                PUBWEAK INTADBM1_IRQHandler
                SECTION .text:CODE:REORDER:NOROOT(1)
INTADBM1_IRQHandler
                B       INTADBM1_IRQHandler

                PUBWEAK INTADCM0_IRQHandler
                SECTION .text:CODE:REORDER:NOROOT(1)
INTADCM0_IRQHandler
                B       INTADCM0_IRQHandler

                PUBWEAK INTADCM1_IRQHandler
                SECTION .text:CODE:REORDER:NOROOT(1)
INTADCM1_IRQHandler
                B       INTADCM1_IRQHandler

                PUBWEAK INTDMACATC_IRQHandler
                SECTION .text:CODE:REORDER:NOROOT(1)
INTDMACATC_IRQHandler
                B       INTDMACATC_IRQHandler

                PUBWEAK INTDMACAERR_IRQHandler
                SECTION .text:CODE:REORDER:NOROOT(1)
INTDMACAERR_IRQHandler
                B       INTDMACAERR_IRQHandler

                PUBWEAK INTDMACBTC_IRQHandler
                SECTION .text:CODE:REORDER:NOROOT(1)
INTDMACBTC_IRQHandler
                B       INTDMACBTC_IRQHandler

                PUBWEAK INTDMACBERR_IRQHandler
                SECTION .text:CODE:REORDER:NOROOT(1)
INTDMACBERR_IRQHandler
                B       INTDMACBERR_IRQHandler

                PUBWEAK INTDMACCTC_IRQHandler
                SECTION .text:CODE:REORDER:NOROOT(1)
INTDMACCTC_IRQHandler
                B       INTDMACCTC_IRQHandler

                PUBWEAK INTDMACCERR_IRQHandler
                SECTION .text:CODE:REORDER:NOROOT(1)
INTDMACCERR_IRQHandler
                B       INTDMACCERR_IRQHandler

                PUBWEAK INTTCTBT_IRQHandler
                SECTION .text:CODE:REORDER:NOROOT(1)
INTTCTBT_IRQHandler
                B       INTTCTBT_IRQHandler

                END
