/**
 *******************************************************************************
 * @file    tmpm440_dac.h
 * @brief   This file provides all the functions prototypes for DAC driver. 
 * @version V2.0.2.5
 * @date    2014/05/20
 * 
 * DO NOT USE THIS SOFTWARE WITHOUT THE SOFTWARE LICENSE AGREEMENT.
 * 
 * (C)Copyright TOSHIBA ELECTRONIC DEVICES & STORAGE CORPORATION 2017 All rights reserved
 *******************************************************************************
 */

/* Define to prevent recursive inclusion -------------------------------------*/
#ifndef __TMPM440_DAC_H
#define __TMPM440_DAC_H

#ifdef __cplusplus
extern "C" {
#endif

/* Includes ------------------------------------------------------------------*/
#include "TMPM440.h"
#include "tx04_common.h"

/** @addtogroup TX04_Periph_Driver
  * @{
  */

/** @addtogroup DAC
  * @{
  */

/** @defgroup DAC_Exported_Types
  * @{
  */

/** @} */
/* End of group DAC_Exported_Types */

/* End of group DAC_Exported_Types */

/** @defgroup DAC_Exported_Constants
  * @{
  */
#define IS_DAC_CHANNEL(param) (((param) == TSB_DAA) || \
                               ((param) == TSB_DAB))

#define IS_DAC_OUTPUT_CODE(param)   ((param) <= (uint16_t) 0x3ff )

/** @} */
/* End of DAC_Exported_Constants */

/** @addtogroup DAC_Exported_types
  * @{
  */

/** @} */
/* End of DAC_Exported_types */

/** @defgroup DAC_Exported_FunctionPrototypes
  * @{
  */

    void DAC_SetOutputCode(TSB_DA_TypeDef * DACx, uint16_t OutputCode);
    void DAC_Start(TSB_DA_TypeDef * DACx);
    void DAC_Stop(TSB_DA_TypeDef * DACx);
    void DAC_SetVOutHoldTime(TSB_DA_TypeDef * DACx);


/** @} */
/* End of DAC_Exported_FunctionPrototypes */

/** @} */
/* End of group DAC */

/** @} */
/* End of group TX04_Periph_Driver */
#ifdef __cplusplus
}
#endif
#endif                          /* __TMPM440_DAC_H */
