/**
 *******************************************************************************
 * @file    main.c
 * @brief   the application functions of DAC demo for the TOSHIBA
 *          'TMPM440' Device Series 
 * @version V0.104
 * @date    2014/05/20
 * 
 * DO NOT USE THIS SOFTWARE WITHOUT THE SOFTWARE LICENSE AGREEMENT.
 * 
 * (C)Copyright TOSHIBA ELECTRONIC DEVICES & STORAGE CORPORATION 2017 All rights reserved
 *******************************************************************************
 */
#include "tmpm440_dac.h"
#include "tmpm440_gpio.h"

uint8_t time_counter = 0U;
int main(void)
{
    uint16_t wait_counter=0U;
    uint16_t i = 0U;

    /* DAA Config */
    DAC_SetOutputCode(TSB_DAA,0U);
    DAC_SetVOutHoldTime(TSB_DAA);
    DAC_Start(TSB_DAA);
 
    while(1){
        time_counter++;
       
        for(wait_counter=0U;wait_counter<1024U;wait_counter++){
            for(i=0U;i<3000U;++i){
              /* Do nothing */
            }
            if( time_counter%2U == 1U){
                DAC_SetOutputCode(TSB_DAA,wait_counter);
            }
            else{
                DAC_SetOutputCode(TSB_DAA,1023U-wait_counter);
            }
        }
    }
}

#ifdef DEBUG
void assert_failed(char *file, int32_t line)
{
    while (1) {
        __NOP();
    }
}
#endif
