/** 
 *******************************************************************************
 * @file    main.h
 * @brief   The application functions of FUART_LoopBack demo for the
 *          TOSHIBA 'TMPM440' Device Series 
 * @version V0.102
 * @date    2014/05/20
 * 
 * DO NOT USE THIS SOFTWARE WITHOUT THE SOFTWARE LICENSE AGREEMENT.
 * 
 * (C)Copyright TOSHIBA ELECTRONIC DEVICES & STORAGE CORPORATION 2017 All rights reserved
 *******************************************************************************
 */
/* Define to prevent recursive inclusion -------------------------------------*/
#ifndef __MAIN_H
#define __MAIN_H
/* Includes ------------------------------------------------------------------*/
#include "tmpm440_fuart.h"
#include "led.h"
#include "sw.h"
#include "retarget.h"
#include "stdio.h"

#define TSB_FUART    TSB_PR

#define FUART_BIT_0        (1U<<0U)
#define FUART_BIT_1        (1U<<1U)
#define FUART_BIT_2        (1U<<2U)
#define FUART_BIT_3        (1U<<3U)
#define FUART_BIT_4        (1U<<4U)
#define FUART_BIT_5        (1U<<5U)
#define FUART_BIT_6        (1U<<6U)
#define FUART_BIT_7        (1U<<7U)
#define FUART_BIT_ALL     0xFFU


typedef enum {
    DIFF = 0U,
    SAME = 1U
} TestResult;

extern void Delay(uint32_t time);
void LED_TXDataDisplay(uint32_t dat);
TestResult Buffercompare(const uint32_t * Src, const uint32_t * Dst, uint32_t Len);
void FUART_GPIOConfig(void);
void FUART_ChInit(void);

#endif
