/** 
 *******************************************************************************
 * @file    main.c
 * @brief   the application functions of UART_Demo
 * @version V0.101
 * @date    2014/05/20
 * 
 * DO NOT USE THIS SOFTWARE WITHOUT THE SOFTWARE LICENSE AGREEMENT.
 * 
 * (C)Copyright TOSHIBA ELECTRONIC DEVICES & STORAGE CORPORATION 2017 All rights reserved
 *******************************************************************************
 */

/* Includes ------------------------------------------------------------------*/
#include "main.h"

/**
  * @brief  Delay some time
  * @param  None
  * @retval None
  */
void delay(void)
{
    uint32_t i = 0U;
    for (i = 0U; i < 0xFFFFFFUL; i++) {
        /* Do nothing */
    }
}

/**
  * @brief  main  function
  * @param  None
  * @retval int
  */
int main(void)
{
    char TxBuffer[] = "TMPM440";
    
    /* Selects input clock for prescaler as PhiT0. */
    UART_SetInputClock(UART_RETARGET,0x01U);
    
    /* Initialize system */
    Retarget_Init();
    /* enable retarget Channel TX interrupt */
    NVIC_EnableIRQ(INT_RETARGET_IRQn);

    while (1) {

        printf("%s\r\n", TxBuffer);     /* SIO send data */
        delay();
    }
}



/**
  * @brief  Deal with the error parameter
  * @param  file: Pointer to the file where the error parameter locates
  * @param  line: Number of the line in which the error parameter locates
  * @retval None
  */
#ifdef DEBUG
void assert_failed(char *file, int32_t line)
{
    while (1) {
        __NOP();
    }
}
#endif
