/** 
 *******************************************************************************
 * @file    retarget.h
 * @brief   the application functions of retarget
 * @version V0.101
 * @date    2014/05/20
 * 
 * DO NOT USE THIS SOFTWARE WITHOUT THE SOFTWARE LICENSE AGREEMENT.
 * 
 * (C)Copyright TOSHIBA ELECTRONIC DEVICES & STORAGE CORPORATION 2017 All rights reserved
 *******************************************************************************
 */
/* Define to prevent recursive inclusion -------------------------------------*/
#ifndef __RETARGET_H
#define __RETARGET_H
/* Includes ------------------------------------------------------------------*/

#include "tmpm440_uart.h"
#include <stdio.h>

#define  DEF_DISABLED                   0
#define  DEF_ENABLED                    1

#define     UART0_R     DEF_ENABLED     /*Set UARTx as retarget channel*/
   
#if (UART0_R == DEF_ENABLED)
    #define UART_RETARGET               UART0
    #define TSB_RETG    TSB_PH
    #define TXD_BIT     (1U<<4U)
    #define RXD_BIT     (1U<<5U)
    #define INT_RETARGET_IRQn       INTTX0_IRQn
    #define Retartget_IRQHandler    INTTX0_IRQHandler
#elif   (UART1_R == DEF_ENABLED) 
    #define UART_RETARGET               UART1
    #define TSB_RETG    TSB_PK
    #define TXD_BIT     (1U<<4U)
    #define RXD_BIT     (1U<<5U)
    #define INT_RETARGET_IRQn       INTTX1_IRQn
    #define Retartget_IRQHandler    INTTX1_IRQHandler
#elif   (UART2_R == DEF_ENABLED) 
    #define UART_RETARGET               UART2
    #define TSB_RETG    TSB_PE
    #define TXD_BIT     (1U)
    #define RXD_BIT     (1U<<1U)
    #define INT_RETARGET_IRQn       INTTX2_IRQn
    #define Retartget_IRQHandler    INTTX2_IRQHandler
#elif   (UART3_R == DEF_ENABLED) 
    #define UART_RETARGET               UART3
    #define TSB_RETG    TSB_PM
    #define TXD_BIT     (1U<<4U)
    #define RXD_BIT     (1U<<5U)
    #define INT_RETARGET_IRQn       INTTX3_IRQn
    #define Retartget_IRQHandler    INTTX3_IRQHandler
#elif   (UART4_R == DEF_ENABLED) 
    #define UART_RETARGET               UART4
    #define TSB_RETG    TSB_PP
    #define TXD_BIT     (1U<<4U)
    #define RXD_BIT     (1U<<5U)
    #define INT_RETARGET_IRQn       INTTX4_IRQn
    #define Retartget_IRQHandler    INTTX4_IRQHandler
#elif   (UART5_R == DEF_ENABLED) 
    #define UART_RETARGET               UART5
    #define TSB_RETG    TSB_PE
    #define TXD_BIT     (1U<<4U)
    #define RXD_BIT     (1U<<5U)
    #define INT_RETARGET_IRQn       INTTX5_IRQn
    #define Retartget_IRQHandler    INTTX5_IRQHandler       
#endif


#define BUFFER_SIZE 16U
#define SET     0x01U           /* flag is set */
#define CLEAR   0x00U           /* flag is cleared */
#define NO      0x00U           /* Send finish NG */
#define YES     0x01U           /* Send finish OK */

void Retarget_Init(void);

#endif
