/**
 ******************************************************************************
 * @file     sw.c
 * @brief    KEY driver for the TOSHIBA 'TMPM440' Device Series
 * @version  V0.102
 * @date     2014/05/20
 *
 * DO NOT USE THIS SOFTWARE WITHOUT THE SOFTWARE LICENSE AGREEMENT.
 *
 * (C)Copyright TOSHIBA ELECTRONIC DEVICES & STORAGE CORPORATION 2017 All rights reserved
 ******************************************************************************
 */
/* Includes ------------------------------------------------------------------*/
#include "sw.h"

/*******************************************************************************
* Function Name  : SW_Init
* Description    : Initialize the GPIO to SW
* Input          : None
* Return         : None.
*******************************************************************************/
void SW_Init(void)
{
    GPIO_SetPullUp(SW_PORT, GPIO_BIT_ALL, ENABLE);
    GPIO_SetInput(SW_PORT, GPIO_BIT_ALL);
}

/*******************************************************************************
* Function Name  : SW_Get
* Description    : Get SW Value
* Input          : SW (choose from SW0 ~ SW7).
* Return         : SW value.
*******************************************************************************/
uint8_t SW_Get(uint8_t sw)
{
    uint8_t tmp = 0U;
    if (GPIO_ReadDataBit(SW_PORT, sw) == 1U) {
        tmp = 1U;
    } else {
        /*do nothing */
    }
    return tmp;

}
