/**
 *******************************************************************************
 * @file	tmrb.c
 * @brief	the application functions of KSCAN demo for the TOSHIBA
 *			'TMPM440' Device Series 
 * @version V0.101
 * @date	2014/05/20
 * 
 * DO NOT USE THIS SOFTWARE WITHOUT THE SOFTWARE LICENSE AGREEMENT.
 * 
 * (C)Copyright TOSHIBA ELECTRONIC DEVICES & STORAGE CORPORATION 2017 All rights reserved
 *******************************************************************************
 */

#include "tmpm440_tmrb.h"

void configTMRB_TB19OUT(uint16_t count);
/**
  * @brief  Configure the TMRB19 for KSCAN
  * @param  count
  * @retval None
  */
void configTMRB_TB19OUT(uint16_t count)
{
    TMRB_InitTypeDef m_tmrb;
    TMRB_FFOutputTypeDef PPGFFInital;

    /* set structure of TMRB initial */
    m_tmrb.Mode = TMRB_INTERVAL_TIMER;
    m_tmrb.ClkDiv = TMRB_CLK_DIV_8;
    m_tmrb.UpCntCtrl = TMRB_AUTO_CLEAR;
    m_tmrb.TrailingTiming = count;      /* T = 10us */
    m_tmrb.LeadingTiming = count;       /* LeadingTiming: 50% */
    PPGFFInital.FlipflopCtrl = TMRB_FLIPFLOP_CLEAR;
    PPGFFInital.FlipflopReverseTrg =
        TMRB_FLIPFLOP_MATCH_TRAILINGTIMING | TMRB_FLIPFLOP_MATCH_LEADINGTIMING;


    TMRB_Enable(TSB_TB19);

    TMRB_Init(TSB_TB19, &m_tmrb);       /* initialize MRB19 */


    TMRB_SetIdleMode(TSB_TB19, ENABLE);


    TMRB_SetFlipFlop(TSB_TB19, &PPGFFInital);


    TMRB_SetDoubleBuf(TSB_TB19, ENABLE);        /* enable double buffer */

    TMRB_SetRunState(TSB_TB19, TMRB_RUN);       /* start TMRB19 */
}
